@import "./../../common/base.css";
.masonry-layout {
  columns: 4;

  figure {
    position: relative;
    margin: 2rem 0;
    border: 1px solid currentColor;
    padding: 1rem;

    &:first-child {
      margin-block-start: 0;
    }
  }

  img {
    max-inline-size: 100%;
    display: block;
    filter: grayscale(1);
  }
  figcaption {
    background: rgba(0 0 0 /0.85);
    position: absolute;
    padding: 1rem;
    color: #fff;
    backdrop-filter: blur(20px);
    inset: 1rem;

    &:hover {
      backdrop-filter: none;
    }
  }
  /* .cat figcaption {
    inset-block-start: 1rem;
    inset-inline-start: 1rem;
  }
  .dig figcaption {
    inset-block-start: 1rem;
    inset-inline-start: 1rem;
  }
  .unsplash figcaption {
    inset-block-start: 1rem;
    inset-inline-start: 1rem;
  } */
}
